export declare const SUPPORTED_LANGUAGES: string[];
export interface RenderCodeOptions {
    readonly srcdir: string;
    readonly outdir: string;
    readonly language: string;
    readonly typeName: string;
    /**
     * The name of the Go module to use for the generated code. Required if `language` is `golang`.
     */
    readonly goModule?: string;
    /**
     * The name of the Java package to use for the generated code. Required if `language` is `java`.
     */
    readonly javaPackage?: string;
    /**
     * The name of the C# namespace to use for the generated code. Required if `language` is `csharp`.
     */
    readonly csharpNamespace?: string;
}
export declare function renderCode(options: RenderCodeOptions): Promise<void>;
