import { ProductDataAggregate } from './service-catalog';
/**
 * Generator to emit classes and information on provisioning details for a product.
 */
export declare class ServiceCatalogProvisioningConstructGenerator {
    private readonly productDataAggregate;
    private readonly hasParameters;
    private readonly sanitizedTypeName;
    private readonly resourceAttributes;
    private readonly constructClassName;
    private readonly propsStructName;
    private readonly enums;
    private readonly parameters;
    private readonly defaultAttributes;
    private readonly outputKeys;
    private readonly outputDescriptions;
    readonly name: string;
    /**
     * @param productData the aggregate details on a product with information on inputs and outputs of the template.
     */
    constructor(productData: ProductDataAggregate);
    /**
     * Render the type into a TypeScript class file defining the props and the wrapped L1 construct AWS::ServiceCatalog::CloudFormationProvisionedProduct.
     *
     * @returns the rendered class file content
     */
    render(): string;
    private emitImports;
    private emitInterface;
    private emitBase;
    private emitParameters;
    private emitParameterMap;
    private emitDefinitionTypes;
    private resolveEnumValue;
    private emitEnums;
    private emitProductDescription;
    private emitSynthesizerValidation;
    private emitConstructClass;
}
